package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF6D9 extends MwfRequest<MWF6D9, MWF6D9Response> {

    @Parameter(name = "Banker")
    MWF6D9 banker(String banker);
    @Parameter(name = "CastkaTransakce")
    MWF6D9 castkaTransakce(Double castkaTransakce);
    @Parameter(name = "CisloUctu")
    MWF6D9 cisloUctu(String cisloUctu);
    @Parameter(name = "DatumVytvoreni")
    MWF6D9 datumVytvoreni(java.util.Date datumVytvoreni);
    @Parameter(name = "IdInvesticnihoDoporuceni")
    MWF6D9 idInvesticnihoDoporuceni(Long idInvesticnihoDoporuceni);
    @Parameter(name = "IdObjednavky")
    MWF6D9 idObjednavky(Long idObjednavky);
    @Parameter(name = "IdSmlouvy")
    MWF6D9 idSmlouvy(String idSmlouvy);
    @Parameter(name = "IdVirtualniObjednavky")
    MWF6D9 idVirtualniObjednavky(Long idVirtualniObjednavky);
    @Parameter(name = "IdZaznamu")
    MWF6D9 idZaznamu(Long idZaznamu);
    @Parameter(name = "Isin")
    MWF6D9 isin(String isin);
    @Parameter(name = "KodPobocky")
    MWF6D9 kodPobocky(String kodPobocky);
    @Parameter(name = "MenaTransakce")
    MWF6D9 menaTransakce(String menaTransakce);
    @Parameter(name = "PocetKusu")
    MWF6D9 pocetKusu(Long pocetKusu);
    @Parameter(name = "TypTransakce")
    MWF6D9 typTransakce(String typTransakce);
    @Parameter(name = "ZadavatelID")
    MWF6D9 zadavatelID(Long zadavatelID);
}
